CO_trace_t Struct Reference
CANopen_extra » Trace

Trace object. More...

`#include <CO_trace.h>`

## Data Fields

bool_t | enabled
| True, if trace is enabled.
CO_SDO_t * | SDO
| From CO_trace_init().
uint32_t * | timeBuffer
| From CO_trace_init().
int32_t * | valueBuffer
| From CO_trace_init().
uint32_t | bufferSize
| From CO_trace_init().
volatile uint32_t | writePtr
| Location in buffer, which will be next written.
volatile uint32_t | readPtr
| Location in buffer, which will be next read.
uint32_t | lastTimeStamp
| Last time stamp. More...
void * | OD_variable
| Pointer to variable, which is monitored.
const CO_trace_dataType_t * | dt
| Data type specific function pointers.
int32_t | valuePrev
| Previous value of value.
uint32_t * | map
| From CO_trace_init().
uint8_t * | format
| From CO_trace_init().
int32_t * | value
| From CO_trace_init().
int32_t * | minValue
| From CO_trace_init().
int32_t * | maxValue
| From CO_trace_init().
uint32_t * | triggerTime
| From CO_trace_init().
uint8_t * | trigger
| From CO_trace_init().
int32_t * | threshold
| From CO_trace_init().

## Detailed Description

Trace object.

## Field Documentation

## lastTimeStamp

uint32_t CO_trace_t::lastTimeStamp

Last time stamp.

If zero, then last point contains last timestamp.

The documentation for this struct was generated from the following file:

- extra/CO_trace.h